Index: boost/lockfree/queue.hpp
===================================================================
--- boost/lockfree/queue.hpp	(revision 80363)
+++ boost/lockfree/queue.hpp	(working copy)
@@ -13,6 +13,7 @@
 
 #include <memory>               /* std::auto_ptr */
 
+#include <boost/assert.hpp>
 #include <boost/noncopyable.hpp>
 #include <boost/static_assert.hpp>
 #include <boost/type_traits/has_trivial_assign.hpp>
@@ -152,7 +153,7 @@
         tail_(tagged_node_handle(0, 0)),
         pool(node_allocator(), capacity)
     {
-        BOOST_STATIC_ASSERT(has_capacity);
+        BOOST_ASSERT(has_capacity);
         initialize();
     }
 
@@ -171,7 +172,7 @@
         tail_(tagged_node_handle(0, 0)),
         pool(alloc, capacity)
     {
-        BOOST_STATIC_ASSERT(has_capacity);
+        BOOST_ASSERT(has_capacity);
         initialize();
     }
     // @}
@@ -183,7 +184,7 @@
         tail_(tagged_node_handle(0, 0)),
         pool(node_allocator(), n + 1)
     {
-        BOOST_STATIC_ASSERT(!has_capacity);
+        BOOST_ASSERT(!has_capacity);
         initialize();
     }
 
Index: boost/lockfree/spsc_queue.hpp
===================================================================
--- boost/lockfree/spsc_queue.hpp	(revision 80363)
+++ boost/lockfree/spsc_queue.hpp	(working copy)
@@ -14,6 +14,7 @@
 
 #include <boost/array.hpp>
 #include <boost/noncopyable.hpp>
+#include <boost/assert.hpp>
 #include <boost/static_assert.hpp>
 
 #include <boost/lockfree/detail/atomic.hpp>
@@ -496,7 +497,7 @@
     // @{
     spsc_queue(void)
     {
-        BOOST_STATIC_ASSERT(!runtime_sized);
+        BOOST_ASSERT(!runtime_sized);
     }
 
     template <typename U>
@@ -509,7 +510,7 @@
     explicit spsc_queue(allocator const & alloc)
     {
         // just for API compatibility: we don't actually need an allocator
-        BOOST_STATIC_ASSERT(!runtime_sized);
+        BOOST_ASSERT(!runtime_sized);
     }
     // @}
 
@@ -522,7 +523,7 @@
     explicit spsc_queue(size_type element_count):
         base_type(element_count)
     {
-        BOOST_STATIC_ASSERT(runtime_sized);
+        BOOST_ASSERT(runtime_sized);
     }
 
     template <typename U>
@@ -535,7 +536,7 @@
     spsc_queue(size_type element_count, allocator_arg const & alloc):
         base_type(alloc, element_count)
     {
-        BOOST_STATIC_ASSERT(runtime_sized);
+        BOOST_ASSERT(runtime_sized);
     }
     // @}
 
Index: boost/lockfree/stack.hpp
===================================================================
--- boost/lockfree/stack.hpp	(revision 80363)
+++ boost/lockfree/stack.hpp	(working copy)
@@ -10,6 +10,7 @@
 #include <boost/checked_delete.hpp>
 #include <boost/integer_traits.hpp>
 #include <boost/noncopyable.hpp>
+#include <boost/assert.hpp>
 #include <boost/static_assert.hpp>
 #include <boost/tuple/tuple.hpp>
 #include <boost/type_traits/has_trivial_assign.hpp>
@@ -131,7 +132,7 @@
     stack(void):
         pool(node_allocator(), capacity)
     {
-        BOOST_STATIC_ASSERT(has_capacity);
+        BOOST_ASSERT(has_capacity);
         initialize();
     }
 
@@ -146,7 +147,7 @@
     explicit stack(allocator const & alloc):
         pool(alloc, capacity)
     {
-        BOOST_STATIC_ASSERT(has_capacity);
+        BOOST_ASSERT(has_capacity);
         initialize();
     }
     // @}
@@ -156,7 +157,7 @@
     explicit stack(size_type n):
         pool(node_allocator(), n)
     {
-        BOOST_STATIC_ASSERT(!has_capacity);
+        BOOST_ASSERT(!has_capacity);
         initialize();
     }
 
